Loading...
Searching...
No Matches
basictest.cc File Reference
`#include "singthreads.h"`
`#include "channel.h"`
`#include "syncvar.h"`

Go to the source code of this file.

## Functions

int | main ()

## Function Documentation

## main()

int main | ( |  | ) |

Definition at line 5 of file basictest.cc.

{
LibThread::SyncVar<int> svar();
LibThread::Channel<int> ch();
Semaphore sem(1);
return 0;
}
LibThread::Channel
Definition channel.h:11
LibThread::SyncVar
Definition syncvar.h:11
Semaphore
Definition thread.h:111